package cn.estsh.i3plus.core.api.iservice.base;

import cn.estsh.i3plus.pojo.base.shirotoken.AdminToken;
import cn.estsh.i3plus.pojo.base.shirotoken.SaAdminToken;
import cn.estsh.i3plus.pojo.base.shirotoken.UserToken;
import cn.estsh.i3plus.pojo.platform.bean.SessionUser;

import java.util.List;

/**
 * @Description : 用户登陆方法，平台统一登陆
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 16:59
 * @Modify:
 **/
public interface ISystemLoginService {

    SessionUser queryUserLogin(String loginName, String s, String languageCode);

    SessionUser queryAdminLogin(String loginName, String s, String languageCode);

    SessionUser queryCheckUserLogin(UserToken authenticationToken);

    SessionUser queryCheckAdminLogin(AdminToken authenticationToken);

    SessionUser queryCheckSaAdminLogin(SaAdminToken authenticationToken);
}
