package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.Organize;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @Description : 组织业务接口 
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:42.941
 * @Modify      :
 **/
public interface IOrganizeService {

    /**
     * 修改数据
     * @param organize
     */
    void updateOrganize(Organize organize);

    /**
     * 根据Key 删除数据
     * @param id
     * @param modifyUser  当前用户名称
     */
    void deleteOrganizeById(long id,String modifyUser);

    /**
     * 新增数据
     * @param organize
     * @return
     */
    Organize insertOrganize(Organize organize);

    /**
     * 查询所有数据
     * @return
     */
    List<Organize> findOrganizeAll();

    /**
     * 根据id 数据
     * @param id
     * @return
     */
    Organize getOrganizeById(long id);
}
