package cn.estsh.i3plus.core.apiservice.daoimpl;

import cn.estsh.i3plus.core.apiservice.dao.ISysMenuDao;
import cn.estsh.i3plus.pojo.platform.bean.SysMenu;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.persistence.EntityManager;
import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.ParameterExpression;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-22 23:55
 * @Modify :
 **/
@Service
public class ISysMenuDaoImpl implements ISysMenuDao {

    public static final Logger LOGGER = LoggerFactory.getLogger(ISysMenuDaoImpl.class);

    @Autowired
    private EntityManager entityManager;

    @Override
    public long queryCountByParentId(long parentId) {
        LOGGER.info(" Parent Id :{}",parentId);
        String hql = "select count(id) from SysMenu as sm where parentId =:parentId";

        return (long)entityManager.createQuery(hql)
                .setParameter("parentId",parentId).getSingleResult();
    }
}
