package cn.estsh.i3plus.core.apiservice.schedulejob;

import cn.estsh.impp.framework.boot.core.ApplicationProperties;
import cn.estsh.impp.framework.boot.quartz.job.ImppJob;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-30 13:25
 * @Modify:
 **/
public class DemoJob implements Job {
    public static final Logger LOGGER = LoggerFactory.getLogger(DemoJob.class);

    @Autowired
    public ApplicationProperties applicationProperties;

    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {

        LOGGER.info("projectName：{},port:{}",applicationProperties.getApplicationName(),applicationProperties.getServerPort());
    }
}
