package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.Department;

/**
 * @Description : 通用树查询服务
 * @Reference :
 * @Author : wei.peng
 * @Date : 2018-10-24 11:16
 * @Modify :
 **/
public interface ICoreTreeService {

    Department getDepartmentTreeByParentId(long depParentId);

    /**
     * 生成子集树递归方法
     * @param parent 父类对象
     * @param step 层级
     */
    void findDepartmentChildrenTreePack(Department parent,int step);
}
