package cn.estsh.i3plus.core.apiservice.daoimpl;

import cn.estsh.i3plus.core.apiservice.dao.IFactoryStoreDao;
import cn.estsh.i3plus.pojo.wms.bean.FactoryStore;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.persistence.EntityManager;
import java.util.List;

/**
 * @Description : 实现类留做备用demo，实际开发中并不需要
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-12 15:35
 * @Modify:
 **/
@Service
public class FactoryStoreDaoImpl implements IFactoryStoreDao {

    @Autowired
    private EntityManager entityManager;

    public List<FactoryStore> listFactoryStore(){
        List<FactoryStore> list = entityManager.createQuery("from FactoryStore").getResultList();

        for(FactoryStore fs : list){
            fs.setStoreCode("");
        }
        return list;
    }
}
