package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.IDataMoreService;
import cn.estsh.i3plus.core.apiservice.dao.IFactoryStoreDao;
import cn.estsh.i3plus.pojo.wms.bean.FactoryStore;
import cn.estsh.i3plus.pojo.wms.repository.FactoryStoreRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.annotation.ReadOnlyProperty;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-09-04 17:06
 * @Modify:
 **/
@Service
public class DataMoreServiceImpl implements IDataMoreService {
    private Logger LOGGER = LoggerFactory.getLogger(this.getClass());

    @Autowired
    private FactoryStoreRepository factoryStoreRepository;

    @Autowired
    private IFactoryStoreDao factoryStoreDao;

    @Transactional
    public FactoryStore insertFactory(FactoryStore factoryStore) {
        LOGGER.info(factoryStore.toString());
        factoryStoreRepository.executeUpdate("");
        return null;
    }

    @Override
    @ReadOnlyProperty
    public List<FactoryStore> listFactoryStore() {
        Iterable<FactoryStore> it =  null;

        List<FactoryStore> fsList = new ArrayList<FactoryStore>();
        it.forEach(factoryStore ->{
            fsList.add(factoryStore);
        });

        return fsList;
    }

    @Override
    @ReadOnlyProperty
    public List<FactoryStore> listFactoryStoreMore() {
        List<FactoryStore> fsList = factoryStoreDao.listFactoryStore();
        for(FactoryStore fs : fsList){
            LOGGER.info(fs.toString());
        }

        fsList = factoryStoreRepository.findAll();
        for(FactoryStore fs : fsList){
            LOGGER.info(fs.toString());
        }

        return fsList;
    }
}
